﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.ComponentModel;

namespace XamCalcManager
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        int i = 1, len = 5;
        public MainWindow()
        {
            InitializeComponent();
            LoadTable();
            xamGrid.DataContext = this;
        }

        public DataTable  Table
        {
            get { return (DataTable )GetValue(TableProperty); }
            set { SetValue(TableProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Table.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty TableProperty =
            DependencyProperty.Register("Table", typeof(DataTable ), typeof(MainWindow), new UIPropertyMetadata(null));

        void LoadTable()
        {
            if (Table == null)
            {
                Table = new DataTable();
                Table.Columns.Add("Symbol", typeof(string));
                Table.Columns.Add("PriceDate", typeof(int));
                Table.Columns.Add("CurValue", typeof(int));
                Table.Columns.Add("Limit", typeof(int));
                Table.Columns.Add("Stop", typeof(int));
                Table.Columns.Add("Market", typeof(int));
                Table.Columns.Add("Next", typeof(int));
                Table.Columns.Add("Today", typeof(int));
                Table.Columns.Add("Total", typeof(int));
                Table.Columns.Add("Avg", typeof(int));
                Table.Columns.Add("Settled", typeof(int));
                Table.Columns.Add("Executed", typeof(int));
            }

            for (; i < len; i++)
            {
                Table.Rows.Add("IBM", 100 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("GOOG", 10 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("MSFT", 12 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("ORCL", 50 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("AAPL", 124 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("CITI", 5 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("ATT", 21 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
                Table.Rows.Add("MEFIH", 2 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i, 23 * i);
            }
            len += 5;
        }

        private void btnDisp_Click(object sender, RoutedEventArgs e)
        {
            string str = "50.00";
            double d = Convert.ToDouble(str);

            for (; i < len; i++)
            {
                Table.Rows.Add("IBM", 100 * i);
                Table.Rows.Add("GOOG", 10 * i);
                Table.Rows.Add("MSFT", 12 * i);
                Table.Rows.Add("ORCL", 50 * i);
                Table.Rows.Add("AAPL", 124 * i);
                Table.Rows.Add("CITI", 5 * i);
                Table.Rows.Add("ATT", 21 * i);
                Table.Rows.Add("MEFIH", 2 * i);
            }
            len += 5;
        }

        private void TabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            this.Dispatcher.BeginInvoke(new Action(() => { MessageBox.Show("Event"); }));
        }
    }
}
